//---------------------------------------------------------------------------

#ifndef InitFormH
#define InitFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <stdio.h>

#include "display.h"
//---------------------------------------------------------
class TInitializeForm : public TForm
{
__published:	// IDE-managed Components
        TOpenDialog *OpenDialog1;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TEdit *Edit1;
        TLabel *Label2;
        TEdit *Edit2;
        TLabel *Label3;
        TLabel *Label4;
        TEdit *Edit3;
        TGroupBox *GroupBox2;
        TEdit *Edit4;
        TButton *Button1;
        TRadioGroup *RadioGroup1;
        TGroupBox *GroupBox3;
        TLabel *Label6;
        TLabel *Label5;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TBitBtn *BitBtn1;
        TComboBox *YearComboBox;
        TComboBox *MonComboBox;
        TComboBox *DayComboBox;
        TComboBox *HourComboBox;
        TComboBox *MinComboBox;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall RadioGroup1Click(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
private:	// User declarations
        TForm1* parent_pt;
        AnsiString AlmFileName;
        FILE *AlmFileHandle;
        double llh[3];  // 0--longi, 1--lati, 2--height

public:		// User declarations
        __fastcall TInitializeForm(TComponent* Owner);
        void setlla(double, double,double);
        void setalmfile( AnsiString );
};
//---------------------------------------------------------------------------
extern PACKAGE TInitializeForm *InitializeForm;
//---------------------------------------------------------------------------
#endif
